Subject: RE: Process id in UDP/TCP mibs?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 18 May 2006 14:23:53 -0400

Yes, by all means improve the description of the item. I had already
suggested a rewording, but it can definitely use more tweaking.

I guess there is also the question as to what to return in cases where
there are either multiple processes "using" the endpoint or where the
process no longer exists:
A) Returning one of the processes (i.e., the process that created or
last attached to the endpoint) is useful.
B) Returning a process that may no longer exists is fine too, as long as
the PID isn't reused by another process (some operating systems don't
recycle PIDs or only do so after a very long time).

I would argue that it is up to the implementer, perhaps based on what is
possible for the platform.

- Bernie

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: Thursday, May 18, 2006 1:39 PM
> To: Bernie Volz (volz)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Process id in UDP/TCP mibs?
> 
> Bernie Volz (volz) wrote:
> > Obviously that is less than desirable, but just because 
> some platforms
> > may be unable to provide useful information doesn't mean we just
> > deprecate it for all. Implementers of SNMP agents for this 
> MIB will thus
> > need to decide whether they return a value for this item or 
> not, and if
> > they do what caveats may exist for it. The text already has 
> "or zero if
> > there is no such process."
> 
> But that text would at least need to be ammended to include
>   - if there are multiple processes
>   - if the process can not be determined (for instance, because there 
> might have been multiple processes in the life of the udp endpoint)
> 
>     Erik
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------